Loading...
Searching...
No Matches
mongocxx::v1::client::options Class Reference

`#include <mongocxx/v1/client.hpp>`

## Description

Options for mongocxx::v1::client.

Supported fields include:

- apm_opts
- auto_encryption_opts
- oidc_callback
- server_api_opts
- tls_opts

## Public Member Functions

| options ()
| Default initialization.
| options (options &&other) noexcept
| Move constructor.
| options (options const &other)
| Copy construction.
| ~options ()
| Destroy this object.
bsoncxx::v1::stdx::optional< v1::apm > | apm_opts () const
| Return the current "apm_opts" field.
options & | apm_opts (v1::apm v)
| Set the "apm_opts" field.
bsoncxx::v1::stdx::optional< v1::auto_encryption_options > | auto_encryption_opts () const
| Return the current "auto_encryption_opts" field.
options & | auto_encryption_opts (v1::auto_encryption_options v)
| Set the "auto_encryption_opts" field.
bsoncxx::v1::stdx::optional< v1::oidc_callback > | oidc_callback () const
| Return the current "oidc_callback" field.
options & | oidc_callback (v1::oidc_callback v)
| Set the "oidc_callback" field.
options & | operator= (options &&other) noexcept
| Move assignment.
options & | operator= (options const &other)
| Copy assignment.
bsoncxx::v1::stdx::optional< v1::server_api > | server_api_opts () const
| Return the current "server_api_opts" field.
options & | server_api_opts (v1::server_api v)
| Set the "server_api_opts" field.
bsoncxx::v1::stdx::optional< v1::tls > | tls_opts () const
| Return the current "tls_opts" field.
options & | tls_opts (v1::tls v)
| Set the "tls_opts" field.

## Constructor & Destructor Documentation

## ~options()

mongocxx::v1::client::options::~options | ( |  | ) |

Destroy this object.

Warning
  Invalidates all associated views.

## options() [1/3]

mongocxx::v1::client::options::options | ( | options && | other | ) |

noexcept

Move constructor.

Postconditions:
  - other is in an assign-or-destroy-only state.

## options() [2/3]

mongocxx::v1::client::options::options | ( | options const & | other | ) |

Copy construction.

## options() [3/3]

mongocxx::v1::client::options::options | ( |  | ) |

Default initialization.

Postconditions:
  - All supported fields are "unset" or zero-initialized.

## Member Function Documentation

## apm_opts() [1/2]

bsoncxx::v1::stdx::optional< v1::apm > mongocxx::v1::client::options::apm_opts | ( |  | ) | const

Return the current "apm_opts" field.

## apm_opts() [2/2]

options & mongocxx::v1::client::options::apm_opts | ( | v1::apm | v | ) |

Set the "apm_opts" field.

## auto_encryption_opts() [1/2]

bsoncxx::v1::stdx::optional< v1::auto_encryption_options > mongocxx::v1::client::options::auto_encryption_opts | ( |  | ) | const

Return the current "auto_encryption_opts" field.

## auto_encryption_opts() [2/2]

options & mongocxx::v1::client::options::auto_encryption_opts | ( | v1::auto_encryption_options | v | ) |

Set the "auto_encryption_opts" field.

## oidc_callback() [1/2]

bsoncxx::v1::stdx::optional< v1::oidc_callback > mongocxx::v1::client::options::oidc_callback | ( |  | ) | const

Return the current "oidc_callback" field.

## oidc_callback() [2/2]

options & mongocxx::v1::client::options::oidc_callback | ( | v1::oidc_callback | v | ) |

Set the "oidc_callback" field.

## operator=() [1/2]

options & mongocxx::v1::client::options::operator= | ( | options && | other | ) |

noexcept

Move assignment.

Postconditions:
  - other is in an assign-or-destroy-only state.

## operator=() [2/2]

options & mongocxx::v1::client::options::operator= | ( | options const & | other | ) |

Copy assignment.

## server_api_opts() [1/2]

bsoncxx::v1::stdx::optional< v1::server_api > mongocxx::v1::client::options::server_api_opts | ( |  | ) | const

Return the current "server_api_opts" field.

## server_api_opts() [2/2]

options & mongocxx::v1::client::options::server_api_opts | ( | v1::server_api | v | ) |

Set the "server_api_opts" field.

## tls_opts() [1/2]

bsoncxx::v1::stdx::optional< v1::tls > mongocxx::v1::client::options::tls_opts | ( |  | ) | const

Return the current "tls_opts" field.

## tls_opts() [2/2]

options & mongocxx::v1::client::options::tls_opts | ( | v1::tls | v | ) |

Set the "tls_opts" field.

The documentation for this class was generated from the following file:

- mongocxx/v1/client.hpp